List All Volunteer Opportunities
curl --request GET \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": 1,
"name": "Sunday Soup Kitchen",
"url": "https://soupkitchen.org/sunday",
"description": "Come on out to our soup kitchen and pitch in!",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"anytime": false,
"startDateTime": "3/27/2022 12:00 PM",
"endDateTime": "3/27/2022 6:00 PM",
"timeZone": "US/Arizona",
"isActive": true,
"isLocalOnly": true,
"currentPriority": "Medium",
"currentNeed": 20,
"preferredNumberOfHours": 20,
"anywhere": false,
"locationName": "Downtown Soup Kitchen",
"address1": "123 Nowhere Ave",
"address2": "Suite 200",
"city": "Phoenix",
"state": "AZ",
"postal": "85004",
"country": "US",
"totalVolunteers": 0,
"totalVolunteerHours": 0,
"currentNeedFilledPercentage": 0,
"hoursFilledPercentage": 0,
"volunteerOrganizers": [
{
"id": 1,
"contactId": 122,
"contactIndividualId": 134,
"displayName": "Bob Loblaw",
"firstName": "Bob",
"avatarUrl": null,
"primaryPhone": "555-555-5555",
"primaryEmail": "bob@loblaw.org",
"contactUrl": "https://api.virtuoussoftware.com/api/Contact/122",
"volunteerOrganizerUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
"volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1"
}
],
"volunteerOpportunityUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1",
"volunteerOrganizersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Organizers/1",
"volunteersUrl": "https://api.virtuoussoftware.com/api/VolunteerOpportunity/1/Volunteers",
"customFields": [
{
"name": "Meal Options",
"value": "Soup and Salad for Lunch, Pizza for Dinner",
"displayName": "What meal options will be available?"
}
]
}
],
"total": 1
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteer Opportunity
List All Volunteer Opportunities
GET
/
api
/
VolunteerOpportunity
List All Volunteer Opportunities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The optional filter.
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on July 24, 2026
Was this page helpful?
⌘I